Skip to main content
POST
/
api
/
v1
/
pools
/
{uuid}
/
contacts
Add existing contacts to a pool
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/pools/{uuid}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contact_uuids": [
    "550e8400-e29b-41d4-a716-446655440000"
  ],
  "priority": 0
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/pools/{uuid}/contacts"

payload = {
    "contact_uuids": ["550e8400-e29b-41d4-a716-446655440000"],
    "priority": 0
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({contact_uuids: ['550e8400-e29b-41d4-a716-446655440000'], priority: 0})
};

fetch('https://{subdomain}.mihu.ai/api/v1/pools/{uuid}/contacts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "message": "N contact(s) added to pool, M task(s) created across K running campaign(s).",
  "data": {
    "pool_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contacts_added": 123,
    "contacts_skipped": 123,
    "contact_uuids_not_found": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "tasks_created": 123,
    "running_campaign_uuids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

UUID of the pool to add contacts to.

Body

application/json
contact_uuids
string<uuid>[]
required

UUIDs of existing contacts to add. Use POST /api/v1/contacts to create new contacts first if needed. Duplicates within the array are deduplicated server-side.

Minimum array length: 1
priority
integer | null

Priority assigned to the new pool items. Higher values are picked first when type='Parallel'. Ignored for FIFO/LIFO pools. Default: 0.

Example:

0

Response

Operation summary. Response includes how many contacts were added, skipped, or not found, plus how many tasks were created across all running campaigns.

success
boolean
Example:

true

message
string
Example:

"N contact(s) added to pool, M task(s) created across K running campaign(s)."

data
object